Index: v2/trunk/de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnfParser.java
===================================================================
--- v2/trunk/de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnfParser.java	(revision 95)
+++ v2/trunk/de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnfParser.java	(revision 100)
@@ -5208,8 +5391,8 @@
                     switch (alt37) {
                         case 1 :
-                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1790:1: (lv_range_4_0= ruleRepeatRange )
+                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1857:1: (lv_range_4_0= ruleRepeatRange )
                             {
-                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1790:1: (lv_range_4_0= ruleRepeatRange )
-                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1791:3: lv_range_4_0= ruleRepeatRange
+                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1857:1: (lv_range_4_0= ruleRepeatRange )
+                            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1858:3: lv_range_4_0= ruleRepeatRange
                             {
                             if ( state.backtracking==0 ) {
@@ -5218,5 +5401,5 @@
                               	    
                             }
-                            pushFollow(FOLLOW_ruleRepeatRange_in_ruleRepeatedSequence3788);
+                            pushFollow(FOLLOW_ruleRepeatRange_in_ruleRepeatedSequence3920);
                             lv_range_4_0=ruleRepeatRange();
 
@@ -5267,5 +5450,5 @@
             } 
         finally {
-            if ( state.backtracking>0 ) { memoize(input, 44, ruleRepeatedSequence_StartIndex); }
+            if ( state.backtracking>0 ) { memoize(input, 46, ruleRepeatedSequence_StartIndex); }
         }
         return current;
@@ -5275,5 +5458,5 @@
 
     // $ANTLR start "entryRuleRepeatRange"
-    // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1815:1: entryRuleRepeatRange returns [EObject current=null] : iv_ruleRepeatRange= ruleRepeatRange EOF ;
+    // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1882:1: entryRuleRepeatRange returns [EObject current=null] : iv_ruleRepeatRange= ruleRepeatRange EOF ;
     public final EObject entryRuleRepeatRange() throws RecognitionException {
         EObject current = null;
@@ -5283,12 +5466,12 @@
 
         try {
-            if ( state.backtracking>0 && alreadyParsedRule(input, 45) ) { return current; }
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1816:2: (iv_ruleRepeatRange= ruleRepeatRange EOF )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1817:2: iv_ruleRepeatRange= ruleRepeatRange EOF
+            if ( state.backtracking>0 && alreadyParsedRule(input, 47) ) { return current; }
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1883:2: (iv_ruleRepeatRange= ruleRepeatRange EOF )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1884:2: iv_ruleRepeatRange= ruleRepeatRange EOF
             {
             if ( state.backtracking==0 ) {
                newCompositeNode(grammarAccess.getRepeatRangeRule()); 
             }
-            pushFollow(FOLLOW_ruleRepeatRange_in_entryRuleRepeatRange3826);
+            pushFollow(FOLLOW_ruleRepeatRange_in_entryRuleRepeatRange3958);
             iv_ruleRepeatRange=ruleRepeatRange();
 
@@ -5298,5 +5481,5 @@
                current =iv_ruleRepeatRange; 
             }
-            match(input,EOF,FOLLOW_EOF_in_entryRuleRepeatRange3836); if (state.failed) return current;
+            match(input,EOF,FOLLOW_EOF_in_entryRuleRepeatRange3968); if (state.failed) return current;
 
             }
@@ -5309,5 +5492,5 @@
             } 
         finally {
-            if ( state.backtracking>0 ) { memoize(input, 45, entryRuleRepeatRange_StartIndex); }
+            if ( state.backtracking>0 ) { memoize(input, 47, entryRuleRepeatRange_StartIndex); }
         }
         return current;
@@ -5317,5 +5500,5 @@
 
     // $ANTLR start "ruleRepeatRange"
-    // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1824:1: ruleRepeatRange returns [EObject current=null] : (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' ) ;
+    // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1891:1: ruleRepeatRange returns [EObject current=null] : (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' ) ;
     public final EObject ruleRepeatRange() throws RecognitionException {
         EObject current = null;
@@ -5331,12 +5514,12 @@
             
         try {
-            if ( state.backtracking>0 && alreadyParsedRule(input, 46) ) { return current; }
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1827:28: ( (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' ) )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1828:1: (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' )
-            {
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1828:1: (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1828:3: otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')'
-            {
-            otherlv_0=(Token)match(input,40,FOLLOW_40_in_ruleRepeatRange3873); if (state.failed) return current;
+            if ( state.backtracking>0 && alreadyParsedRule(input, 48) ) { return current; }
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1894:28: ( (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' ) )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1895:1: (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' )
+            {
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1895:1: (otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')' )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1895:3: otherlv_0= '#' otherlv_1= '(' ( (lv_from_2_0= RULE_INT ) ) otherlv_3= ',' ( (lv_to_4_0= RULE_INT ) ) otherlv_5= ')'
+            {
+            otherlv_0=(Token)match(input,40,FOLLOW_40_in_ruleRepeatRange4005); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5344,5 +5527,5 @@
                   
             }
-            otherlv_1=(Token)match(input,26,FOLLOW_26_in_ruleRepeatRange3885); if (state.failed) return current;
+            otherlv_1=(Token)match(input,26,FOLLOW_26_in_ruleRepeatRange4017); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5350,11 +5533,11 @@
                   
             }
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1836:1: ( (lv_from_2_0= RULE_INT ) )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1837:1: (lv_from_2_0= RULE_INT )
-            {
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1837:1: (lv_from_2_0= RULE_INT )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1838:3: lv_from_2_0= RULE_INT
-            {
-            lv_from_2_0=(Token)match(input,RULE_INT,FOLLOW_RULE_INT_in_ruleRepeatRange3902); if (state.failed) return current;
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1903:1: ( (lv_from_2_0= RULE_INT ) )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1904:1: (lv_from_2_0= RULE_INT )
+            {
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1904:1: (lv_from_2_0= RULE_INT )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1905:3: lv_from_2_0= RULE_INT
+            {
+            lv_from_2_0=(Token)match(input,RULE_INT,FOLLOW_RULE_INT_in_ruleRepeatRange4034); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5380,5 +5563,5 @@
             }
 
-            otherlv_3=(Token)match(input,41,FOLLOW_41_in_ruleRepeatRange3919); if (state.failed) return current;
+            otherlv_3=(Token)match(input,41,FOLLOW_41_in_ruleRepeatRange4051); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5386,11 +5569,11 @@
                   
             }
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1858:1: ( (lv_to_4_0= RULE_INT ) )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1859:1: (lv_to_4_0= RULE_INT )
-            {
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1859:1: (lv_to_4_0= RULE_INT )
-            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1860:3: lv_to_4_0= RULE_INT
-            {
-            lv_to_4_0=(Token)match(input,RULE_INT,FOLLOW_RULE_INT_in_ruleRepeatRange3936); if (state.failed) return current;
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1925:1: ( (lv_to_4_0= RULE_INT ) )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1926:1: (lv_to_4_0= RULE_INT )
+            {
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1926:1: (lv_to_4_0= RULE_INT )
+            // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1927:3: lv_to_4_0= RULE_INT
+            {
+            lv_to_4_0=(Token)match(input,RULE_INT,FOLLOW_RULE_INT_in_ruleRepeatRange4068); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5416,5 +5599,5 @@
             }
 
-            otherlv_5=(Token)match(input,27,FOLLOW_27_in_ruleRepeatRange3953); if (state.failed) return current;
+            otherlv_5=(Token)match(input,27,FOLLOW_27_in_ruleRepeatRange4085); if (state.failed) return current;
             if ( state.backtracking==0 ) {
 
@@ -5438,5 +5621,5 @@
             } 
         finally {
-            if ( state.backtracking>0 ) { memoize(input, 46, ruleRepeatRange_StartIndex); }
+            if ( state.backtracking>0 ) { memoize(input, 48, ruleRepeatRange_StartIndex); }
         }
         return current;
@@ -5444,12 +5627,12 @@
     // $ANTLR end "ruleRepeatRange"
 
-    // $ANTLR start synpred52_InternalEbnf
-    public final void synpred52_InternalEbnf_fragment() throws RecognitionException {   
+    // $ANTLR start synpred53_InternalEbnf
+    public final void synpred53_InternalEbnf_fragment() throws RecognitionException {   
         Token lv_morethanonce_3_0=null;
 
-        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1773:2: ( ( (lv_morethanonce_3_0= '+' ) )? )
-        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1773:2: ( (lv_morethanonce_3_0= '+' ) )?
+        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1840:2: ( ( (lv_morethanonce_3_0= '+' ) )? )
+        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1840:2: ( (lv_morethanonce_3_0= '+' ) )?
         {
-        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1773:2: ( (lv_morethanonce_3_0= '+' ) )?
+        // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1840:2: ( (lv_morethanonce_3_0= '+' ) )?
         int alt47=2;
         int LA47_0 = input.LA(1);
@@ -5460,10 +5643,10 @@
         switch (alt47) {
             case 1 :
-                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1774:1: (lv_morethanonce_3_0= '+' )
+                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1841:1: (lv_morethanonce_3_0= '+' )
                 {
-                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1774:1: (lv_morethanonce_3_0= '+' )
-                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1775:3: lv_morethanonce_3_0= '+'
+                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1841:1: (lv_morethanonce_3_0= '+' )
+                // ../de.ugoe.cs.swe.bnftools.ebnf/src-gen/de/ugoe/cs/swe/bnftools/parser/antlr/internal/InternalEbnf.g:1842:3: lv_morethanonce_3_0= '+'
                 {
-                lv_morethanonce_3_0=(Token)match(input,35,FOLLOW_35_in_synpred52_InternalEbnf3747); if (state.failed) return ;
+                lv_morethanonce_3_0=(Token)match(input,35,FOLLOW_35_in_synpred53_InternalEbnf3879); if (state.failed) return ;
 
                 }
@@ -5478,13 +5661,13 @@
         }
     }
-    // $ANTLR end synpred52_InternalEbnf
+    // $ANTLR end synpred53_InternalEbnf
 
     // Delegated rules
 
-    public final boolean synpred52_InternalEbnf() {
+    public final boolean synpred53_InternalEbnf() {
         state.backtracking++;
         int start = input.mark();
         try {
-            synpred52_InternalEbnf_fragment(); // can never throw exception
+            synpred53_InternalEbnf_fragment(); // can never throw exception
         } catch (RecognitionException re) {
             System.err.println("impossible: "+re);
@@ -5514,9 +5697,9 @@
         "\17\uffff}>";
     static final String[] DFA22_transitionS = {
-            "\1\2\1\1\1\3\1\1\1\uffff\1\3\5\uffff\1\1\12\uffff\1\10\1\4\1"+
-            "\uffff\1\5\1\6\1\7\1\11\1\12\1\13\1\14",
+            "\1\2\1\1\1\uffff\1\3\1\1\1\uffff\1\3\4\uffff\1\1\12\uffff\1"+
+            "\10\1\4\1\uffff\1\5\1\6\1\7\1\11\1\12\1\13\1\14",
             "",
-            "\4\3\1\uffff\1\3\5\uffff\1\3\11\uffff\1\1\1\15\1\3\1\uffff"+
-            "\7\3",
+            "\2\3\1\uffff\2\3\1\uffff\1\3\4\uffff\1\3\11\uffff\1\1\1\15"+
+            "\1\3\1\uffff\7\3",
             "",
             "",
@@ -5529,5 +5712,6 @@
             "",
             "",
-            "\3\3\1\16\1\uffff\1\3\5\uffff\1\3\12\uffff\2\3\1\uffff\7\3",
+            "\2\3\1\uffff\1\3\1\16\1\uffff\1\3\4\uffff\1\3\12\uffff\2\3"+
+            "\1\uffff\7\3",
             "\1\3\23\uffff\1\3\2\uffff\1\1"
     };
@@ -5563,24 +5747,26 @@
         }
         public String getDescription() {
-            return "()* loopback of 890:1: ( ( (lv_elements_8_0= ruleAtom ) ) | otherlv_9= ')' | otherlv_10= ']' | otherlv_11= '}' | otherlv_12= '|' | otherlv_13= '(' | otherlv_14= '[' | otherlv_15= '{' | otherlv_16= '*' | otherlv_17= '+' )*";
+            return "()* loopback of 957:1: ( ( (lv_elements_8_0= ruleAtom ) ) | otherlv_9= ')' | otherlv_10= ']' | otherlv_11= '}' | otherlv_12= '|' | otherlv_13= '(' | otherlv_14= '[' | otherlv_15= '{' | otherlv_16= '*' | otherlv_17= '+' )*";
         }
     }
     static final String DFA38_eotS =
-        "\21\uffff";
+        "\22\uffff";
     static final String DFA38_eofS =
-        "\1\4\20\uffff";
+        "\1\4\21\uffff";
     static final String DFA38_minS =
-        "\1\4\1\uffff\16\0\1\uffff";
+        "\1\4\1\uffff\17\0\1\uffff";
     static final String DFA38_maxS =
-        "\1\50\1\uffff\16\0\1\uffff";
+        "\1\50\1\uffff\17\0\1\uffff";
     static final String DFA38_acceptS =
-        "\1\uffff\1\1\16\uffff\1\2";
+        "\1\uffff\1\1\17\uffff\1\2";
     static final String DFA38_specialS =
         "\2\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14"+
-        "\1\15\1\uffff}>";
+        "\1\15\1\16\1\uffff}>";
     static final String[] DFA38_transitionS = {
-            "\1\7\1\5\1\13\1\6\1\uffff\1\14\5\uffff\1\3\12\uffff\1\15\1\10"+
-            "\1\uffff\1\11\1\12\1\2\1\16\1\17\1\uffff\1\1\4\uffff\1\20",
+            "\1\7\1\5\1\10\1\14\1\6\1\uffff\1\15\4\uffff\1\3\12\uffff\1\16"+
+            "\1\11\1\uffff\1\12\1\13\1\2\1\17\1\20\1\uffff\1\1\4\uffff\1"+
+            "\21",
             "",
+            "\1\uffff",
             "\1\uffff",
             "\1\uffff",
@@ -5630,5 +5816,5 @@
         }
         public String getDescription() {
-            return "1773:1: ( ( (lv_morethanonce_3_0= '+' ) )? | ( (lv_range_4_0= ruleRepeatRange ) )? )";
+            return "1840:1: ( ( (lv_morethanonce_3_0= '+' ) )? | ( (lv_range_4_0= ruleRepeatRange ) )? )";
         }
         public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
@@ -5643,7 +5829,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5658,7 +5844,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5673,7 +5859,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5688,7 +5874,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5703,7 +5889,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5718,7 +5904,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5733,7 +5919,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5748,7 +5934,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5763,7 +5949,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5778,7 +5964,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5793,7 +5979,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5808,7 +5994,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5823,7 +6009,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -5838,10 +6024,25 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred52_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
                         input.seek(index38_15);
+                        if ( s>=0 ) return s;
+                        break;
+                    case 14 : 
+                        int LA38_16 = input.LA(1);
+
+                         
+                        int index38_16 = input.index();
+                        input.rewind();
+                        s = -1;
+                        if ( (synpred53_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
+
+                         
+                        input.seek(index38_16);
                         if ( s>=0 ) return s;
                         break;
@@ -5861,11 +6062,11 @@
     public static final BitSet FOLLOW_RULE_ID_in_ruleEtsiBnf153 = new BitSet(new long[]{0x000000000000C000L});
     public static final BitSet FOLLOW_14_in_ruleEtsiBnf177 = new BitSet(new long[]{0x0000000000008000L});
-    public static final BitSet FOLLOW_15_in_ruleEtsiBnf203 = new BitSet(new long[]{0x00000000000400B0L});
-    public static final BitSet FOLLOW_ruleImportSection_in_ruleEtsiBnf224 = new BitSet(new long[]{0x00000000000400B0L});
-    public static final BitSet FOLLOW_ruleBnfEntry_in_ruleEtsiBnf246 = new BitSet(new long[]{0x00000000000400B2L});
+    public static final BitSet FOLLOW_15_in_ruleEtsiBnf203 = new BitSet(new long[]{0x0000000000040170L});
+    public static final BitSet FOLLOW_ruleImportSection_in_ruleEtsiBnf224 = new BitSet(new long[]{0x0000000000040170L});
+    public static final BitSet FOLLOW_ruleBnfEntry_in_ruleEtsiBnf246 = new BitSet(new long[]{0x0000000000040172L});
     public static final BitSet FOLLOW_16_in_ruleEtsiBnf274 = new BitSet(new long[]{0x0000000000008000L});
-    public static final BitSet FOLLOW_15_in_ruleEtsiBnf299 = new BitSet(new long[]{0x00000000000400B2L});
-    public static final BitSet FOLLOW_ruleImportSection_in_ruleEtsiBnf320 = new BitSet(new long[]{0x00000000000400B2L});
-    public static final BitSet FOLLOW_ruleDeltaEntry_in_ruleEtsiBnf342 = new BitSet(new long[]{0x00000000000400B2L});
+    public static final BitSet FOLLOW_15_in_ruleEtsiBnf299 = new BitSet(new long[]{0x0000000000040132L});
+    public static final BitSet FOLLOW_ruleImportSection_in_ruleEtsiBnf320 = new BitSet(new long[]{0x0000000000000132L});
+    public static final BitSet FOLLOW_ruleDeltaEntry_in_ruleEtsiBnf342 = new BitSet(new long[]{0x0000000000000132L});
     public static final BitSet FOLLOW_17_in_ruleEtsiBnf369 = new BitSet(new long[]{0x0000000000008000L});
     public static final BitSet FOLLOW_15_in_ruleEtsiBnf394 = new BitSet(new long[]{0x000000D000040022L});
